Get the limits
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vms.dev/api/v1/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://vms.dev/api/v1/limits \
--header 'Authorization: Bearer <token>'import requests
url = "https://vms.dev/api/v1/limits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"plan": "plan-20",
"billingReview": true,
"sizes": [
"small"
],
"concurrentSandboxes": {
"limit": 4503599627370495,
"used": 4503599627370495
},
"startsPerMinute": {
"limit": 4503599627370495,
"used": 4503599627370495
},
"startsPerDay": {
"limit": 4503599627370495,
"used": 4503599627370495
},
"savedSnapshots": {
"limit": 4503599627370495,
"used": 4503599627370495
},
"templates": {
"limit": 4503599627370495,
"used": 4503599627370495
},
"autoStopSeconds": 14400,
"trialUnitHours": 60
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}Limits
Get the limits
Returns the limits of the workspace plan and the current use of each limit. A create above a limit answers 402 billing_required, 403 size_not_allowed, or 429 start_limit. Needs the sandboxes:read scope.
GET
/
v1
/
limits
Get the limits
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vms.dev/api/v1/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://vms.dev/api/v1/limits \
--header 'Authorization: Bearer <token>'import requests
url = "https://vms.dev/api/v1/limits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"plan": "plan-20",
"billingReview": true,
"sizes": [
"small"
],
"concurrentSandboxes": {
"limit": 4503599627370495,
"used": 4503599627370495
},
"startsPerMinute": {
"limit": 4503599627370495,
"used": 4503599627370495
},
"startsPerDay": {
"limit": 4503599627370495,
"used": 4503599627370495
},
"savedSnapshots": {
"limit": 4503599627370495,
"used": 4503599627370495
},
"templates": {
"limit": 4503599627370495,
"used": 4503599627370495
},
"autoStopSeconds": 14400,
"trialUnitHours": 60
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}Authorizations
Response
The limits and their use.